> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List projects

GET https://{tenant_name}.benchling.com/api/v2/projects

List projects

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/projects/list-projects

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `nextToken` (string, optional)
- `pageSize` (integer, optional, default: 50)
- `sort` (enum, optional, default: modifiedAt) — Method by which to order search results. Valid sorts are name, modifiedAt, and createdAt. Optionally add :asc or :desc to specify ascending or descending order. Default is modifiedAt.
  - Allowed values: `createdAt`, `createdAt:asc`, `createdAt:desc`, `modifiedAt`, `name`, `modifiedAt:asc`, `name:asc`, `modifiedAt:desc`, `name:desc`
- `archiveReason` (string, optional) — Archive reason. Restricts items to those with the specified archive reason. Use "NOT_ARCHIVED" to filter for unarchived projects. Use "ANY_ARCHIVED" to filter for archived projects regardless of reason. Use "ANY_ARCHIVED_OR_NOT_ARCHIVED" to return items for both archived and unarchived.
- `ids` (string, optional) — Comma-separated list of ids. Matches all of the provided IDs, or returns a 400 error that includes a list of which IDs are invalid.
- `name` (string, optional) — Name of a project. Restricts results to those with the specified name.

## Response

### 200

OK

- `nextToken` (string, optional)
- `projects` (list of Project, optional)

## Types

### Project

- `archiveRecord` (ArchiveRecord, optional, nullable)
- `id` (string, optional)
- `name` (string, optional)
- `owner` (ProjectOwner, optional)

### ArchiveRecord

- `reason` (string, optional)

### ProjectOwner

### Organization

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### UserSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "nextToken": "string",
  "projects": [
    {
      "archiveRecord": {
        "reason": "Made in error"
      },
      "id": "string",
      "name": "string",
      "owner": {
        "handle": "string",
        "id": "string",
        "name": "string"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/projects"

querystring = {"archiveReason":"NOT_ARCHIVED"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/projects?archiveReason=NOT_ARCHIVED';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```